library(plyr)
args = commandArgs(trailingOnly = TRUE)
fname = args[1]
ofname = args[2]
pcor_tab = read.table(fname, as.is = T, header = T)
pval_seq = c(5E-1, 5E-2, 5E-3, 5E-4, 5E-5, 5E-6, 5E-7, 5E-8, 5E-9, 5E-10, 5E-12, 5E-13, 5E-14, 5E-15, 5E-16, 5E-17, 5E-18, 5E-19, 5E-20, 5E-21, 5E-22,
             5.1E-1, 5.1E-2, 5.1E-3, 5.1E-4, 5.1E-5, 5.1E-6, 5.1E-7, 5.1E-8, 5.1E-9, 5.1E-10, 5.1E-12, 5.1E-13, 5.1E-14, 5.1E-15, 5.1E-16, 5.1E-17, 5.1E-18, 5.1E-19, 5.1E-20, 5.1E-21, 5.1E-22)
hist_db = ldply(pval_seq, function(x){
   c(x, sum(pcor_tab$pval < x))
})
write.table(hist_db, ofname)
