## -----------------------------------------
## Environment setting for data and metadata
## -----------------------------------------
zola.data.dir = "/home/sriram/data/arrays/final/jaric/"
data.root.dir = "/home/sriram/data/arrays/"
data.final.dir = "/home/sriram/data/arrays/final2/"
data.final.tmp.dir = "/home/sriram/data/arrays/final2/tmp/"
final.norm.dir = "/home/sriram/data/arrays/final2/normalize/"
tp.norm.dir = "/home/sriram/data/arrays/final2/normalize/tissues_processes/"
combo.csv.file = "/home/sriram/data/arrays/final2/normalize/combo-output.csv"
cel.errors.file = "cel_errors.txt"
preprocess.fail.file = "rle_nuse_failures.txt"
## -----------------------------------------

## ---------------------------------------------------------
## Following variables need not be changed for most purposes
## ---------------------------------------------------------
cel.files.pattern = "*.CEL$" # pattern for CEL file names
accession.data.file = "accession_data.txt" # Database and Accession in the data.root.dir
cel.names.complete.file = "cel_file_names_complete.txt" # Complete list of CEL files in the data.root.dir
man.inspect.fail.file = "inspect_failures.txt" # Failed CELs after manual inspections
man.inspect.except.file = "inspect_exceptions.txt" # CEL files to be included to
cel.names.file = "cel_file_names.txt" # CEL files that survive QC procedure
class.names = c("chemical", "development", "flower", # List of classes
                "hormone",  "leaf", "light", "metabolism",
                "pathogen", "root", "seedling", "stress",
                "whole.plant")
csv.qn.file.suffix = "-dataset-qn.csv"
exp.file.suffix = "-dataset-qn.exp"
tmp.exp.file.suffix = "-dataset-qn.exp.tmp"
columns.class.map.file = "columns-class-map.txt"
probe.id.file ="affy-ATH1-probe-id.txt"
csv2exp.cmd = "./csv2exp"
exp.clean.cmd = "./exp-clean-ht"
## ---------------------------------------------------------
